<?php

namespace Drupal\prometheusio_exporter\Bridge;

use Symfony\Component\DependencyInjection\ContainerAwareInterface;

interface PrometheusBridgeInterface extends ContainerAwareInterface {

  public function render(): string;

  public function getCounter(string $namespace, string $name, string $help, array $labels = []);

  public function getHistogram(string $namespace, string $name, string $help, array $labels = [], array $buckets = null);

  public function getGauge(string $namespace, string $name, string $help, array $labels = []);
}
